Categories:
  - Theming
License: GPL-3.0-only
AuthorName: Christoph
WebSite: https://git.cbsk-tech.de/Christoph/LockScreenWallpaper
SourceCode: https://git.cbsk-tech.de/Christoph/LockScreenWallpaper
IssueTracker: https://git.cbsk-tech.de/Christoph/LockScreenWallpaper/issues

AutoName: WallpaperFlow

RepoType: git
Repo: https://git.cbsk-tech.de/Christoph/LockScreenWallpaper.git

Builds:
  - versionName: 0.1.0
    versionCode: 1000
    commit: v0.1.0
    ndk: 28.2.13676358
    sudo:
      - apt-get update
      - apt-get install -y npm make gcc libc-dev
    srclibs:
      - rustup@1.28.2
      - esbuild@v0.25.12
    scandelete:
      - node_modules
    prebuild:
      - npm ci --ignore-scripts
      - $$rustup$$/rustup-init.sh -y --default-toolchain 1.95.0 --target aarch64-linux-android,armv7-linux-androideabi,i686-linux-android,x86_64-linux-android
      - source $$HOME$$/.cargo/env
      - cargo install tauri-cli --version 2.11.4 --locked
      - pushd $$esbuild$$ && make esbuild && popd
      - mv $$esbuild$$/esbuild node_modules/@esbuild/linux-x64/bin/esbuild
    build:
      - source $$HOME$$/.cargo/env
      - export NDK_HOME=$$NDK$$
      - export ANDROID_NDK_HOME=$$NDK$$
      - cargo tauri android build --apk
    output: src-tauri/gen/android/app/build/outputs/apk/universal/release/app-universal-release-unsigned.apk

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 0.1.0
CurrentVersionCode: 1000
